#include "getCoverage.h"

void freeCovData(tilingData *td)
{
  free(td->idcov);
  free(td->dcov);
  free(td->cdc);
}

void freeContigData(struct CONTIG_SEQUENCE *contig)
{
  free(contig->id);
  free(contig->seq);
  free(contig);
}

void freeSeqData(struct CONTIG_SEQUENCE **bcseq, int numOfSeqs)
{
  int i;
  
  for (i = 0; i < numOfSeqs; i++)
  {
    free(bcseq[i]->id);
    free(bcseq[i]);
  }

  free(bcseq);
}

void freeOffset(Offset *index, int numOfSeqs)
{
  int i;

  for (i = 0; i < numOfSeqs; i++)
  {
    free(index[i].id);
  }

  free(index);
}
