
/*
  newmem
  returns char * to new block of memory; prints memory allocation error message

  A slight modification of Paul Hardy's code from alnseq

  $Id: newmem.c,v 1.1.1.1 2005/08/04 14:32:29 mcschatz Exp $

*/

#include "getCoverage.h"

void *newmem(int number, int size)
{
  return newmem2(number, size, "UNKNOWN", -1);
}

void *newmem2(int number, int size, char *file, int line)
{
  void *memp = NULL;
  size_t len = number * size;

  if (len)
  {
    memp = malloc(len);

    if (memp==NULL)
    { 
      printError("newmem", DEBUG_ERROR,
                 "Memory allocation error: %s line %d: %d requested: %s.",
                 file, line, len, strerror(errno));

      exit(EXIT_FAILURE); // no memory
    }
  }

  return(memp);
}

