#ifndef SLICEFATTENER_HH 
#define SLICEFATTENER_HH 1

#include "RequestManager.hh"
#include "Foundation.hh"
#include "Contig.hh"

class SliceFattener : public RequestManager
{
public:
  SliceFattener();
  ~SliceFattener();

  void addSlice(SliceData * slice);
  void addSliceRange(long & index, long & gindex);
  void addRequest(ConsensusRequest * request);

  int  printResults();

  static void handleOptions(Foundation * tf);

  static int s_displayType;

  static int s_fatten;
  static int s_fattenerRangeStart;
  static int s_fattenerRangeEnd;
  static int s_ungapped;

  static int s_leftExtension;
  static int s_rightExtension;
  static int s_growContig;
  static int s_requireConfirmation;

  static string s_addRead;

  static int s_verbose;
  static int s_extensionDistance;
  static string s_readToExtend;


private:
  Contig * m_contig;

};

#endif
