#include "ConsensusRequest.hh"

ConsensusRequest::ConsensusRequest(const char * type,
                                   const char * host,
                                   const char * user,
                                   const char * id,
                                   const char * option)
{
  if (!type)
  {
    throw Exception("Cannot have NULL Consensus type",
                    "ConsensusRequest::ConsensusRequest");
  }

  m_type = type;
  if (m_type != "Consensus")
  {
    throw Exception("Request type " + (string) type + " is unsupported",
                    "ConsensusRequest::ConsensusRequest");
  }

  m_id     = (id)     ? id     : "";
  m_host   = (host)   ? host   : "";
  m_user   = (user)   ? user   : "";
  m_option = (option) ? option : "";
}

ConsensusRequest::~ConsensusRequest()
{ }

const string & ConsensusRequest::getType() const
{
  return m_type;
}

const string & ConsensusRequest::getHost() const
{
  return m_host;
}

const string & ConsensusRequest::getUser() const
{
  return m_user;
}

const string & ConsensusRequest::getId() const
{
  return m_id;
}

const string & ConsensusRequest::getOption() const
{
  return m_option;
}

void ConsensusRequest::printXML(ostream & out, const string & prefix) const
{
  out << prefix
      << "<Request Type=\"" << m_type
      << "\" Host=\""       << m_host
      << "\" User=\""       << m_user
      << "\" Option=\""     << m_option
      << "\">" << endl;
}
