#ifndef CONTIG_FATTENER_HH
#define CONTIG_FATTENER_HH 1


#include "Contig.hh"

#include "ContigAlign.hh"
#include "SWAlign.hh"

class ContigFattener
{
public:
  ContigFattener::ContigFattener(bool verbose);
  ContigFattener::~ContigFattener();

  void addRead(Contig * contig, const string & seqname);

  void extendRead(Contig * contig, const string & seqname, int distance);
  void growContigLeft(Contig * contig, bool requireConfirmation);
  void growContigRight(Contig * contig, bool requireConfirmation);

  void fattenContig(Contig * contig,
                    int fattenRangeStart, int fattenRangeEnd,
                    int doLeftExtension, int doRightExtension);

private:
  void initializePublicAPI(Contig * contig);

  void recordExtension(const ContigSequence * read, int distanceExtended,
                       int trimLength, float origAvg, float origTrimAvg, 
                       int origUContigWidth);

  int extendLeft(ContigSequence * read, int distance);
  int extendRight(ContigSequence * read, int distance);

  long m_gindex;
  Contig * m_contig;

  ContigAlign * aligner;
  bool m_verbose;
};

#endif
