#ifndef READMERGER_HH 
#define READMERGER_HH 1

#include "RequestManager.hh"
#include "Foundation.hh"

#include <list>
#include <map>

using libSlice::SliceData;
using std::list;
using std::map;


class ReadMerger : public RequestManager
{
public:
  ReadMerger();
  ~ReadMerger();

  typedef list<SliceData *> SliceList;
  typedef map<string, string> ReadMap;
  typedef list<string> StringList;

  void addSliceRange(long & index, long & gindex);
  void addRequest(ConsensusRequest * request);
  void addReadData(ReadData * readData);

  string lookupSeqId(const string & seqname);
  string getNextFile();

private:
  ReadMap m_readMap;
  int m_readCount;

  StringList m_fileList;
  StringList::const_iterator m_fileListIter;
};

#endif
