#ifndef SLICEROTATOR_HH 
#define SLICEROTATOR_HH 1

#include "RequestManager.hh"
#include "Foundation.hh"

#include <list>
#include <map>

using libSlice::SliceData;
using libSlice::ConsensusData;

typedef map<string, string> ReadMap;
typedef list<SliceData *> SliceList;

class SliceRotator : public RequestManager
{
public:
  SliceRotator();
  ~SliceRotator();

  void addSlice(SliceData * slice);
  void addSliceRange(long & index, long & gindex);
  void addRequest(ConsensusRequest * request);
  void addReadData(ReadData * readData);

  int  printResults();

  static void handleOptions(Foundation * tf);

private:
  void printSlice(SliceData * slice);

  long m_newIndex;
  long m_newGindex;

  long m_origSRIndex;
  long m_origSRGindex;

  bool m_firstSlice;
  int m_readCount;
  ReadMap m_readMap;
  SliceList m_rotationQueue;

  static int m_rotateSize;
  static int m_linear;
};

#endif
