#ifndef SEQUENCEDATA_HH
#define SEQUENCEDATA_HH 1

#include "ReadData.hh"

using libSlice::ReadData;

class SequenceData
{
public:
  SequenceData(const ReadData * rd, 
               long offset, 
               long index,
               bool isOrginSequence);
  ~SequenceData();

  void addElement(long curoffset,
                  long index, 
                  char nuc);

  void printContigRecord(ostream & out);
  static void print60(ostream & out, const string & bases);

private:
  const ReadData * m_readData;

  string m_nuc;
  string m_nucright;
  long m_offset;

  long m_asmleft;
  long m_asmright;

  long m_negativeOffset;
  long m_negativeAsmleft;
  long m_negativeAsmright;

  bool m_originSequence;
  bool m_inRight;
};

#endif
