#ifndef SLICESPLITTER_HH 
#define SLICESPLITTER_HH 1

#include "RequestManager.hh"
#include "Foundation.hh"

#include <list>

using libSlice::SliceData;
using libSlice::ConsensusData;
using libSlice::ReadData;

typedef list<SliceData *> SliceList;
typedef list<int> PartionList;

class SliceSplitter : public RequestManager
{
public:
  SliceSplitter();
  ~SliceSplitter();

  void addSlice(SliceData * slice);

  int  printResults();

  static void handleOptions(Foundation * tf);

private:
  void getNextOutfile();
  void loadPartitions(const string & partitionString);
  void loadPartitionFile();
  void addPartition(int partition);

  string m_prefix;
  ofstream * m_currentOut;
  PartionList m_partitionList;
  int m_rangeCount;
  bool m_firstSlice;

  static string s_partitionFile;
  static string s_partitionString;
};

#endif
