#ifndef READMERGER_HH 
#define READMERGER_HH 1

#include "RequestManager.hh"
#include "Foundation.hh"

#include <list>
#include <map>

using libSlice::SliceData;

typedef list<SliceData *> SliceList;
typedef map<string, string> ReadMap;

class ReadMerger
{
public:
  ReadMerger(Foundation * tf, ostream & out, ReadManager & readManager);
  ~ReadMerger();

  void addReadData(ReadData * readData);
  string lookupSeqId(const string & seqname) const;
  string renumberIds(SliceData * slice);

private:
  ReadMap m_readMap;
  int m_readCount;

  LogCategory m_log;
  ostream & m_out;
  ReadManager & m_readManager;
};

#endif
