// $Id: mainpage.h,v 1.1.1.1 2005/08/04 14:51:00 mcschatz Exp $

/*!@mainpage %libFoundation 2.00
 *
 * libFoundation is a class library for providing standard UNIX services.
 * Currently, the library provides support for command line options handling,
 * logging, and INI-style configuration files. The library is designed to be
 * fast, flexible and reusable.
 *
 * @section classes Services
 *
 * @subsection options Command line Options
 * Command line options are processed through the Options class. It acts
 * as a wrapper for getopt and getopt_long, with the added benefit of resolving
 * datatypes into their natural representation. For example, if option -n
 * takes an integer, then the options class will automatically convert the
 * string passed in into an integer for n. See example-options.cc for a
 * quick tutorial on how to use the Options class.
 * 
 *
 * @subsection configfile Configuration File Processing
 * Configuration files can be automatically loaded with the ConfigFile class.
 * The configuration data is then stored in various sections, corresponding
 * to the sections of the INI file with [header] tags. You can search for
 * a particular section by name, or iterator through all sections. The particular
 * values for each section can also be search or iterated through. Please see
 * example-configfile.cc for a quick tutorial on how to use the ConfigFile
 * and ConfigSection classes.
 *
 *
 * @subsection logging Logging
 * libFoundation provides a powerful logging engine based on the concept of
 * logging categories. With them, you have fine control at runtime of how verbose
 * the various functional components of the software should be. The logging
 * api can be done through both printf style strings, or via iostream << syntax.
 * Please see example-logging.cc for a quick tutorial on how to use the
 * Logger classes.
 *
 * @section contact Contact Information
 * Please visit the <a href="http://www.sourceforge.net/projects/slicetools">SourceForge</a>
 * page for more information or email slicetools-help [a t] lists . sourceforge . net.
 *
 * @htmlonly<hr><p align=right>$Date: 2005/08/04 14:51:00 $</p>@endhtmlonly
 *
 */

